org.eclipse.emf.cdo.server.spi.security

## Class SecurityManagerFactory.Default

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory
    - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory.Default

- All Implemented Interfaces:
    IManagedContainer.ContainerAware, IFactory
  Enclosing class:
    SecurityManagerFactory

      public static class SecurityManagerFactory.Default
      extends SecurityManagerFactory
      implements IManagedContainer.ContainerAware

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `SecurityManagerFactory.Annotation, SecurityManagerFactory.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE`

    - ### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISecurityManager` | `create(String description)`
    `protected InternalSecurityManager.CommitHandler` | `getHandler(IManagedContainer container, String token)`
    `void` | `setManagedContainer(IManagedContainer container)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### setManagedContainer

          public void setManagedContainer(IManagedContainer container)

      Specified by:
        `setManagedContainer` in interface `IManagedContainer.ContainerAware`
      Since:
        4.3

    - #### create

          public ISecurityManager create(String description)
                                  throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Specified by:
        `create` in class `SecurityManagerFactory`
      Throws:
        `ProductCreationException`

    - #### getHandler

          protected InternalSecurityManager.CommitHandler getHandler(IManagedContainer container,
                                                                     String token)

      Since:
        4.3

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html